Add Menu Item Classes

post

/config/sim/v1/menuItems/menuItemClasses

Adds Menu Item Classes, it is recommended to use Menu Item Classes 2 instead of Menu Item Class.

Request

Supported Media Types
Header Parameters
Body ()
CUD Request body
Root Schema : MenuItemClassCUDRequestBody
Type: object
Show Source
Nested Schema : MenuItemClass_condimentGroupsv1
Type: object
List of condiment groups that are associated with the Menu Item Class
Show Source
Nested Schema : dataExtensions
Type: array
An array of data extensions for the menu item class
Show Source
Nested Schema : name
Type: object
Name
Example:
{
    "en-US":"Menu Item",
    "de-DE":"Menüpunkt",
    "es-MX":"Opción del menú"
}
Nested Schema : refillDescriptor
Type: object
Refill Descriptor
Example:
{
    "en-US":"Refill Descriptor",
    "de-DE":"Nachfülldeskriptor",
    "es-MX":"Descriptor de recarga"
}
Nested Schema : allowedCondimentGroups
Type: array
Array of the Condiment Groups that are allowed when adding items in this Menu Item Class.
Show Source
Nested Schema : memberCondimentGroups
Type: array
Array of the Condiment Groups to which items in this Menu Item Class belong.
Show Source
Nested Schema : requiredCondimentGroups
Type: array
Array of the Condiment Groups that are required when ordering items assigned to this Menu Item Class. Required fields apply only when requiredCondimentGroups object is supplied.
Show Source
Nested Schema : MenuItemClass_allowedCondimentGroups
Type: object
Show Source
Nested Schema : MenuItemClass_memberCondimentGroups
Type: object
Show Source
Nested Schema : MenuItemClass_requiredCondimentGroupsv1
Type: object
Show Source
Nested Schema : forceOptions
Type: array
Force Options of the condiment group. In case of null, it is assigned with default values.
Show Source
Nested Schema : MenuItemClass_requiredCondimentGroups_forceOptionsv1
Type: object
Show Source
  • Default Value: 1
    Maximum number of items allowed in the condiment group. Valid range is 1-99999.
    Example: 1
  • Default Value: 1
    Minimum number of items in the condiment group. Valid range is 0-99.
    Example: 1
  • Threshold 1 count of the condiment group. Valid range is 0-9999.
    Example: 1
  • Threshold 2 count of the condiment group. Valid range is 0-9999.
    Example: 1
  • Threshold Level 1 of the condiment group. Valid range is 0-9999.
    Example: 1
  • Threshold Level 2 of the condiment group. Valid range is 0-9999.
    Example: 1
Nested Schema : MenuItemClass_dataExtensions
Type: object
Show Source
Back to Top

Response

Supported Media Types

200 Response

Menu Item Class Added.
Body ()
Root Schema : MenuItemClassResponse
Type: object
Show Source
Back to Top